Page MenuHomePhabricator

[llvm-readobj/llvm-readelf] - Implement GNU style dumper of the SHT_GNU_verdef section.
ClosedPublic

Authored by grimar on May 28 2019, 6:17 AM.

Details

Diff Detail

Repository
rL LLVM

Event Timeline

MaskRay accepted this revision.May 28 2019, 10:44 PM

LGTM, but you may want to wait for others to comment.

tools/llvm-readobj/ELFDumper.cpp
3523 ↗(On Diff #201647)

StringRef a(...) or String a{...} are probably more common.

This revision is now accepted and ready to land.May 28 2019, 10:44 PM

LGTM, I was coping with my graduation essay these days, so I did not finished my revision in time :) Thank you @rupprecht for informing me.

BTW, the latest Linux Stand Base is of version 5.0: https://refspecs.linuxfoundation.org/lsb.shtml You may update the link in the descritpion

grimar updated this revision to Diff 201876.May 29 2019, 5:37 AM
grimar marked an inline comment as done.
  • Rebased.
  • Addressed review comments.
grimar edited the summary of this revision. (Show Details)May 29 2019, 5:37 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 30 2019, 3:33 AM